#!/bin/sh

set -e

. ./common.sh

set_name='trusted'

if [ $# -eq 1 -a "x$1" = "xremove" ]
then
	$IPTABLES -D INPUT -m set --match-set "${set_name}" src -j ACCEPT || echo "no rule '${set_name}' to remove"
	$IP6TABLES -D INPUT -m set --match-set "${set_name}6" src -j ACCEPT || echo "no rule '${set_name}6' to remove"
	$IPSET destroy "${set_name}" || echo "no set '${set_name}' to remove"
	$IPSET destroy "${set_name}6" || echo "no set '${set_name}6' to remove"
	exit 0
fi

create_set "${set_name}" hash:net
create_set "${set_name}6" hash:net family inet6

insert_setmatch_rules "${set_name}" -j ACCEPT

reload_cidr_sets "${set_name}"

